package cn.com.infosec.mobile.android.net;

import android.os.AsyncTask;
import android.text.TextUtils;
import java.io.File;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class FileUploadAsyncTask extends AsyncTask<String, Integer, Object> {
   private File srcFile;
   private Map<String, String> params;
   private NetworkInterface.NetworkUploadCallback uploadCallback;

   public FileUploadAsyncTask(File srcFile, Map<String, String> params, NetworkInterface.NetworkUploadCallback uploadCallback) {
      this.params = params;
      this.srcFile = srcFile;
      this.uploadCallback = uploadCallback;
   }

   protected void onPreExecute() {
      super.onPreExecute();
      this.uploadCallback.onStart();
   }

   protected Object doInBackground(String... strings) {
      String var2 = strings[0];
      String var3 = strings[1];
      InfosecHttpParam var4;
      InfosecHttpParam var10001 = var4 = new InfosecHttpParam;
      var4.<init>();
      var4.setServerURL(var2);
      var10001.setCaFile(strings[2]);
      if (!this.srcFile.exists()) {
         return "文件不存在，上传失败";
      } else {
         InfosecHttpRequest strings1;
         InfosecHttpRequest var10 = strings1 = new InfosecHttpRequest;
         var10.<init>();
         var10.setProgressCallback(new InfosecHttpRequest.ProgressCallback() {
            public void onProgress(long total, long complete, float progress) {
               FileUploadAsyncTask var10000 = FileUploadAsyncTask.this;
               Integer[] var6;
               Integer[] var10001 = var6 = new Integer[2];
               var6[0] = (int)total;
               var10001[1] = (int)complete;
               var10000.publishProgress(var10001);
            }
         });
         Iterator var8 = this.params.entrySet().iterator();

         while(var8.hasNext()) {
            Map.Entry var5;
            strings1.formAddBuffer((String)(var5 = (Map.Entry)var8.next()).getKey(), ((String)var5.getValue()).getBytes(), (String)null, (String)null);
         }

         strings1.formAddFile(var3, this.srcFile.getPath(), (String)null);
         String var6;
         String var10000 = var6 = strings1.postForm(var4);
         HashMap var9;
         var9 = new HashMap.<init>();
         if (TextUtils.isEmpty(var10000)) {
            var9.put("isSucceed", "false");
            var9.put("data", String.valueOf(strings1.getErrNo()).concat(":").concat(strings1.getErrMsg()));
         } else {
            var9.put("isSucceed", "true");
            var9.put("data", var6);
         }

         return var9;
      }
   }

   protected void onProgressUpdate(Integer... values) {
      super.onProgressUpdate(values);
      NetworkInterface.NetworkUploadCallback var10000 = this.uploadCallback;
      int var2 = values[0];
      var10000.onProgress(var2, values[1]);
   }

   protected void onPostExecute(Object retObj) {
      super.onPostExecute(retObj);
      Map var10000 = (Map)retObj;
      String retObj1 = (String)((Map)retObj).get("data");
      if (TextUtils.equals("true", (CharSequence)var10000.get("isSucceed"))) {
         this.uploadCallback.onSucceed(retObj1);
      } else {
         this.uploadCallback.onFailed(retObj1);
      }

   }
}
